# Class MutableByte

java.lang.Object
org.mariadb.jdbc.client.util.MutableByte

public class MutableByte extends Object
Mutable int, permitting to update packet sequence

## Constructor Summary

Constructors
Constructor
Description
`MutableByte()`

## Method Summary

Modifier and Type
Method
Description
`byte`
`get()`
Get current sequence value
`byte`
`incrementAndGet()`
Increment sequence and get new value
`void`
`set(byte value)`
Set new sequence value

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MutableByte

public MutableByte()

## Method Details

### set

public void set(byte value)
Set new sequence value

Parameters:
  `value` - new value

### get

public byte get()
Get current sequence value

Returns:
  value

### incrementAndGet

public byte incrementAndGet()
Increment sequence and get new value

Returns:
  new value